Summary: ctrlproxy
Name: ctrlproxy
Version: 2.6.2
Release: 6%{?dist}
License: GPL
Group: Applications/Internet
Source: http://jelmer.vernstok.nl/releases/ctrlproxy-%{version}.tar.gz
Url: http://jelmer.vernstok.nl/ctrlproxy/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: xmlto, libxml2-devel, glib2-devel, popt, pcre-devel, openssl-devel

%description
ctrlproxy is an IRC server with multiserver support. It runs as a dæmon
and connects to a number of IRC servers, then allows you to connect from
a workstation and work as the user that is logged in to the IRC server.
After you disconnect, it maintains the connection to the server. It acts
like any normal IRC server, so you can use any IRC client to connect to
it. It supports multiple client connections to one IRC server (under the
same nick), allowing you to connect to IRC using your IRC nick, even
while you have an IRC session open somewhere else. It supports logging
(in the same format as the irssi IRC client), password authentication,
and ctcp (in case no clients are connected).

%prep
%setup -q

%build
%configure
make
make -C doc manpages


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install-dirs install-bin install-mods install-data \
   bindir=$RPM_BUILD_ROOT/%{_bindir} \
   mandir=$RPM_BUILD_ROOT/%{_mandir} \
   man1dir=$RPM_BUILD_ROOT/%{_mandir}/man1 \
   man5dir=$RPM_BUILD_ROOT/%{_mandir}/man5 \
   man7dir=$RPM_BUILD_ROOT/%{_mandir}/man7 \
   modulesdir=$RPM_BUILD_ROOT/%{_libdir}/ctrlproxy \
   includedir=$RPM_BUILD_ROOT/%{_includedir} \
   docdir=$RPM_BUILD_ROOT/%{_defaultdocdir}/ctrlproxy-%{version} \
   moddir=$RPM_BUILD_ROOT/%{_libdir}/ctrlproxy \
   cdatadir=$RPM_BUILD_ROOT/%{_datadir}/ctrlproxy
install -m 0755 ctrlproxy-setup $RPM_BUILD_ROOT/%{_bindir}
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/ctrlproxy/motd

cd doc
/usr/bin/install -d ${RPM_BUILD_ROOT}/%{_mandir}/man1
/usr/bin/install -m 0644 ctrlproxy.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1
/usr/bin/install -d ${RPM_BUILD_ROOT}/%{_mandir}/man5
/usr/bin/install -m 0644 ctrlproxyrc.5 ${RPM_BUILD_ROOT}/%{_mandir}/man5
/usr/bin/install -d ${RPM_BUILD_ROOT}/%{_mandir}/man7
/usr/bin/install -m 0644 *.7ctrlproxy ${RPM_BUILD_ROOT}/%{_mandir}/man7

%clean
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING TODO README ChangeLog ctrlproxyrc.example ctrlproxyrc.dtd
%{_bindir}/*
%{_mandir}/*/*
%dir /%{_libdir}/ctrlproxy
%{_libdir}/ctrlproxy/*
%dir %{_datadir}/ctrlproxy
%{_datadir}/ctrlproxy/*

%changelog
* Sat Feb 18 2006 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-6
- Bump release and rebuild for FE5

* Thu Nov 10 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-5
- Rebuild agains new openssl

* Fri Aug 7 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-4
- Fix file modes... again
- Fixes bug 161690 (patch from Michael Schwendt)

* Wed Jun 22 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-3
- Fix file modes

* Sun Jun 19 2005 David Woodhouse <dwmw2@infradead.org> 2.6.2-2
- Fix file modes
- Drop ctrlproxy.h from package

* Fri Jun 17 2005 David Woodhouse <dwmw2@infradead.org> 2.6.2-1
- Update for the 2.6.2 release.
- Make manpages

* Wed May 12 2004 Sean Reifschneider <jafo-rpms@tummy.com>
[Release 2.6.1-1]
- Update for the 2.6.1 release.

* Tue Nov 18 2003 Sean Reifschneider <jafo-rpms@tummy.com>
[Release 2.5-1]
- Updated for the 2.5 release.
- Making the "clean" mechanisms safer in the .spec file.
